<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/expansionsettings.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d96/a03402_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsettings.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d96/a03402.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSettings.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/df5/a01375.html">ExpansionSettings</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a520fb97a79069f1b78b47a3f4a4662fc">   15</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d5/df5/a01375.html#a520fb97a79069f1b78b47a3f4a4662fc">SI_Debug</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a8be10a4d1adae156b3c70b3d53aadde4">   16</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d5/df5/a01375.html#a8be10a4d1adae156b3c70b3d53aadde4">SI_Log</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a01732fe9a1004d05bf2f800b795d5264">   17</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d5/df5/a01375.html#a01732fe9a1004d05bf2f800b795d5264">SI_SafeZone</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#acbdf65f6797e2926ba0078f63c2bd7aa">   18</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d5/df5/a01375.html#acbdf65f6797e2926ba0078f63c2bd7aa">SI_Notification</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a8fccdd9e470e77f4212b1bfb2b1e98cb">   19</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d5/df5/a01375.html#a8fccdd9e470e77f4212b1bfb2b1e98cb">SI_DamageSystem</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">   21</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">m_GameInit</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">   23</a></span>    <span class="keyword">protected</span> ref map&lt;typename, ref ExpansionSettingBase&gt; <a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a> = <span class="keyword">new</span> map&lt;typename, ref ExpansionSettingBase&gt;;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">   24</a></span>    <span class="keyword">protected</span> autoptr array&lt;ExpansionSettingBase&gt; <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a> = <span class="keyword">new</span> array&lt;ExpansionSettingBase&gt;;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">   25</a></span>    <span class="keyword">protected</span> ref map&lt;typename, int&gt; <a class="code hl_variable" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">m_Warnings</a> = <span class="keyword">new</span> map&lt;typename, int&gt;;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a619ea8f5d355cfb5af38eddfe60f870d">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a619ea8f5d355cfb5af38eddfe60f870d">ServerInit</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_variable" href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting: <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a>)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_enumvalue" href="../../d0/d7e/a00770.html#a3d096c917dc956080218556883fe92b0aee00fdc948f0555fbe3276253bfe7ede">Load</a>(setting);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a0280a4f9feaec09bb75b5b2823a73211">   39</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a0280a4f9feaec09bb75b5b2823a73211">Unload</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#a19f1152dfcf90ed57c41abce99dbd3e4">StartStack</a>(<a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_variable" href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting: <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a>)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            setting.Unload();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a13b9a34b29422ab5863534f00a6ff253">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a13b9a34b29422ab5863534f00a6ff253">Load</a>(<a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;LoadSetting&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( setting.<a class="code hl_function" href="../../dd/d1b/a02351.html#aa2413220815a302a199400eb0a0188d7">Load</a>() )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            CF_Log.Info( <span class="stringliteral">&quot;ExpansionSettings: Successfully Loaded &quot;</span> + setting.ClassName() );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            CF_Log.Info( <span class="stringliteral">&quot;ExpansionSettings: Unsuccessful load, using defaults for &quot;</span> + setting.ClassName() );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#aa43ac50876b69fd8c52a1f8d8121fbf2">   64</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/df5/a01375.html#aa43ac50876b69fd8c52a1f8d8121fbf2">IsLoaded</a>(<span class="keyword">typename</span> type)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a>.Find(type, setting))</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">if</span> (setting.<a class="code hl_function" href="../../dd/d1b/a02351.html#a8d356fb5e72b05b84c90400345d88286">IsLoaded</a>())</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a6b7eb9ba1ce8a6fde8760e8ebde93bf9">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a6b7eb9ba1ce8a6fde8760e8ebde93bf9">Init</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_variable" href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../da/db3/a02343.html">ExpansionDebugSettings</a>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a>);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a9fd3eee00d5d6c31386c5d03ad6130f7">   88</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a9fd3eee00d5d6c31386c5d03ad6130f7">Init</a>(<span class="keyword">typename</span> type)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a>.Contains(type))</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keyword">auto</span> setting = <a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>.Cast(type.Spawn());</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a>.Insert(type, setting);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a>.Insert(setting);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a30315a7284032b9f906572ed556d5d3f">   98</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a30315a7284032b9f906572ed556d5d3f">GameInit</a>()</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_variable" href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">m_GameInit</a>)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <a class="code hl_function" href="../../d5/df5/a01375.html#a0280a4f9feaec09bb75b5b2823a73211">Unload</a>();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">m_GameInit</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">m_GameInit</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a1123b40e5452576d01e6509e71a95a7b">  116</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a1123b40e5452576d01e6509e71a95a7b">Send</a>( notnull PlayerIdentity identity )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;Send&quot;</span>).Add(identity);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting: <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a>)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            setting.Send(identity);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a2263d93143be0fa48e0ae323017fbe11">  131</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a2263d93143be0fa48e0ae323017fbe11">OnRPC</a>( PlayerIdentity sender, Object target, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnRPC&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">if</span> ( rpc_type &lt;= ExpansionSettingsRPC.INVALID || rpc_type &gt;= <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.COUNT )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">switch</span> ( rpc_type )</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.Debug:</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                <a class="code hl_function" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">Receive</a>(<a class="code hl_class" href="../../da/db3/a02343.html">ExpansionDebugSettings</a>, ctx);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.Log:</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                <a class="code hl_function" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">Receive</a>(<a class="code hl_class" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a>, ctx);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.Notification:</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                <a class="code hl_function" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">Receive</a>(<a class="code hl_class" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a>, ctx);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">  164</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">Receive</a>(<span class="keyword">typename</span> type, ParamsReadContext ctx)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_variable" href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>, type.ToString());</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">if</span> (GetGame().IsDedicatedServer())</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <a class="code hl_function" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(type);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>(<a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a>[type].<a class="code hl_function" href="../../d3/d52/a00023.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a>(ctx), <span class="stringliteral">&quot;Failed reading &quot;</span> + type.ToString() );</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#adb5f0b023b22017d64d71ba128c0eb40">  175</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#adb5f0b023b22017d64d71ba128c0eb40">Save</a>()</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;Save&quot;</span>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">if</span> ( IsMissionHost() &amp;&amp; GetGame().IsMultiplayer() )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting: <a class="code hl_variable" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a>)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                setting.Save();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">  190</a></span>    <a class="code hl_class" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> <a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<span class="keyword">typename</span> type, <span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keyword">auto</span> setting = <a class="code hl_variable" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a>[type];</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">if</span> (checkLoaded &amp;&amp; setting &amp;&amp; !setting.IsLoaded() &amp;&amp; (!GetGame().GetMission() || GetGame().GetMission().IsMissionGameplay() || GetGame().GetMission().IsServer() || (GetDayZGame().IsLoading() &amp;&amp; !GetDayZGame().Expansion_IsMissionMainMenu())))</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <a class="code hl_function" href="../../d5/df5/a01375.html#a7061a466f87c7a35a05e12a11979333e">WarnNotLoaded</a>(type);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">return</span> setting;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a7061a466f87c7a35a05e12a11979333e">  199</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/df5/a01375.html#a7061a466f87c7a35a05e12a11979333e">WarnNotLoaded</a>(<span class="keyword">typename</span> type)</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordtype">int</span> count;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">m_Warnings</a>.Find(type, count))</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">m_Warnings</a>.Insert(type, 1);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            <a class="code hl_variable" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">m_Warnings</a>[type] = ++count;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordflow">if</span> (count % 10 == 0)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        {</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="keywordtype">string</span> suffix;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="keywordflow">if</span> (count)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>                suffix = <span class="stringliteral">&quot; (there have been &quot;</span> + count + <span class="stringliteral">&quot; more suppressed warnings)&quot;</span>;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">if</span> (GetGame().IsServer())</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<span class="keyword">true</span>, null, <span class="stringliteral">&quot;WARNING: Trying to access &quot;</span> + type.ToString() + <span class="stringliteral">&quot; before it has been loaded!&quot;</span> + suffix);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<span class="keyword">true</span>, null, <span class="stringliteral">&quot;WARNING: Trying to access &quot;</span> + type.ToString() + <span class="stringliteral">&quot; before it has been received!&quot;</span> + suffix);</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a> trace = <a class="code hl_class" href="../../df/d71/a02247.html">EXTrace</a>.<a class="code hl_function" href="../../df/d71/a02247.html#a19f1152dfcf90ed57c41abce99dbd3e4">StartStack</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            trace.<a class="code hl_function" href="../../df/d71/a02247.html#ad15103e18433646b19375c6201884d4f">SetStart</a>(5);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#aa4246c7fad69ffd959190a448a73797c">  221</a></span>    <a class="code hl_class" href="../../da/db3/a02343.html">ExpansionDebugSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#aa4246c7fad69ffd959190a448a73797c">GetDebug</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../da/db3/a02343.html">ExpansionDebugSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../da/db3/a02343.html">ExpansionDebugSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">  226</a></span>    <a class="code hl_class" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#ab26eb810cd1b88bb23c7df5512bb3e98">  231</a></span>    <a class="code hl_class" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#ab26eb810cd1b88bb23c7df5512bb3e98">GetSafeZone</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a408085a13fb22a0489cf842ce3e1cb5e">  236</a></span>    <a class="code hl_class" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#a408085a13fb22a0489cf842ce3e1cb5e">GetNotification</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#afe2842b8456e4f4c352a6a984810ca3f">  241</a></span>    <a class="code hl_class" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#afe2842b8456e4f4c352a6a984810ca3f">GetMonitoring</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    {</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d5/df5/a01375.html#a2a9d6f1e022e151e90082b23ac164716">  246</a></span>    <a class="code hl_class" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a> <a class="code hl_function" href="../../d5/df5/a01375.html#a2a9d6f1e022e151e90082b23ac164716">GetDamageSystem</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a>.Cast(<a class="code hl_function" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    }</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>};</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">  252</a></span><span class="keyword">static</span> ref <a class="code hl_class" href="../../d5/df5/a01375.html">ExpansionSettings</a> <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a>;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">  254</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d5/df5/a01375.html">ExpansionSettings</a> <a class="code hl_function" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>()</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>{</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a> == NULL )</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/df5/a01375.html">ExpansionSettings</a>();</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="preprocessor">#ifdef SERVER</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a>.<a class="code hl_function" href="../../d5/df5/a01375.html#a619ea8f5d355cfb5af38eddfe60f870d">ServerInit</a>();</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a>.<a class="code hl_function" href="../../d5/df5/a01375.html#a30315a7284032b9f906572ed556d5d3f">GameInit</a>();</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    }</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a>;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>}</div>
<div class="ttc" id="aa00023_html_ae3e27fdaa6ddb0d424626c1f0b3aad2e"><div class="ttname"><a href="../../d3/d52/a00023.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a></div><div class="ttdeci">override bool OnRecieve(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00087">expansionbasebuildingsettings.c:87</a></div></div>
<div class="ttc" id="aa00710_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00770_html_a2f909deb4892593626f98b201415d514"><div class="ttname"><a href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a></div><div class="ttdeci">ExpansionSettingsRPC</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d7e/a00770_source.html#l00245">expansionrpc.c:246</a></div></div>
<div class="ttc" id="aa00770_html_a3d096c917dc956080218556883fe92b0aee00fdc948f0555fbe3276253bfe7ede"><div class="ttname"><a href="../../d0/d7e/a00770.html#a3d096c917dc956080218556883fe92b0aee00fdc948f0555fbe3276253bfe7ede">Load</a></div><div class="ttdeci">@ Load</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d7e/a00770_source.html#l00040">expansionrpc.c:40</a></div></div>
<div class="ttc" id="aa00803_html_ae52b22a15cd70143ec56e9e0d067d950"><div class="ttname"><a href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a></div><div class="ttdeci">static bool Expansion_Assert_False(bool check, string message)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00013">expansionstatic.c:13</a></div></div>
<div class="ttc" id="aa01375_html"><div class="ttname"><a href="../../d5/df5/a01375.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d58/a03393_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa01375_html_a01732fe9a1004d05bf2f800b795d5264"><div class="ttname"><a href="../../d5/df5/a01375.html#a01732fe9a1004d05bf2f800b795d5264">ExpansionSettings::SI_SafeZone</a></div><div class="ttdeci">static ref ScriptInvoker SI_SafeZone</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00017">expansionsettings.c:17</a></div></div>
<div class="ttc" id="aa01375_html_a0280a4f9feaec09bb75b5b2823a73211"><div class="ttname"><a href="../../d5/df5/a01375.html#a0280a4f9feaec09bb75b5b2823a73211">ExpansionSettings::Unload</a></div><div class="ttdeci">void Unload()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00039">expansionsettings.c:39</a></div></div>
<div class="ttc" id="aa01375_html_a1123b40e5452576d01e6509e71a95a7b"><div class="ttname"><a href="../../d5/df5/a01375.html#a1123b40e5452576d01e6509e71a95a7b">ExpansionSettings::Send</a></div><div class="ttdeci">void Send(notnull PlayerIdentity identity)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00116">expansionsettings.c:116</a></div></div>
<div class="ttc" id="aa01375_html_a13b9a34b29422ab5863534f00a6ff253"><div class="ttname"><a href="../../d5/df5/a01375.html#a13b9a34b29422ab5863534f00a6ff253">ExpansionSettings::Load</a></div><div class="ttdeci">void Load(ExpansionSettingBase setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00049">expansionsettings.c:49</a></div></div>
<div class="ttc" id="aa01375_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa01375_html_a2263d93143be0fa48e0ae323017fbe11"><div class="ttname"><a href="../../d5/df5/a01375.html#a2263d93143be0fa48e0ae323017fbe11">ExpansionSettings::OnRPC</a></div><div class="ttdeci">bool OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00131">expansionsettings.c:131</a></div></div>
<div class="ttc" id="aa01375_html_a2a9d6f1e022e151e90082b23ac164716"><div class="ttname"><a href="../../d5/df5/a01375.html#a2a9d6f1e022e151e90082b23ac164716">ExpansionSettings::GetDamageSystem</a></div><div class="ttdeci">ExpansionDamageSystemSettings GetDamageSystem(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00246">expansionsettings.c:246</a></div></div>
<div class="ttc" id="aa01375_html_a30315a7284032b9f906572ed556d5d3f"><div class="ttname"><a href="../../d5/df5/a01375.html#a30315a7284032b9f906572ed556d5d3f">ExpansionSettings::GameInit</a></div><div class="ttdeci">void GameInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00098">expansionsettings.c:98</a></div></div>
<div class="ttc" id="aa01375_html_a408085a13fb22a0489cf842ce3e1cb5e"><div class="ttname"><a href="../../d5/df5/a01375.html#a408085a13fb22a0489cf842ce3e1cb5e">ExpansionSettings::GetNotification</a></div><div class="ttdeci">ExpansionNotificationSettings GetNotification(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00236">expansionsettings.c:236</a></div></div>
<div class="ttc" id="aa01375_html_a4d5d5e5c3029cf3ee99b2901e42c6f1d"><div class="ttname"><a href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">ExpansionSettings::m_GameInit</a></div><div class="ttdeci">protected bool m_GameInit</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00021">expansionsettings.c:21</a></div></div>
<div class="ttc" id="aa01375_html_a520fb97a79069f1b78b47a3f4a4662fc"><div class="ttname"><a href="../../d5/df5/a01375.html#a520fb97a79069f1b78b47a3f4a4662fc">ExpansionSettings::SI_Debug</a></div><div class="ttdeci">static ref ScriptInvoker SI_Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa01375_html_a619ea8f5d355cfb5af38eddfe60f870d"><div class="ttname"><a href="../../d5/df5/a01375.html#a619ea8f5d355cfb5af38eddfe60f870d">ExpansionSettings::ServerInit</a></div><div class="ttdeci">void ServerInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00027">expansionsettings.c:27</a></div></div>
<div class="ttc" id="aa01375_html_a6b7eb9ba1ce8a6fde8760e8ebde93bf9"><div class="ttname"><a href="../../d5/df5/a01375.html#a6b7eb9ba1ce8a6fde8760e8ebde93bf9">ExpansionSettings::Init</a></div><div class="ttdeci">void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00076">expansionsettings.c:76</a></div></div>
<div class="ttc" id="aa01375_html_a7061a466f87c7a35a05e12a11979333e"><div class="ttname"><a href="../../d5/df5/a01375.html#a7061a466f87c7a35a05e12a11979333e">ExpansionSettings::WarnNotLoaded</a></div><div class="ttdeci">private void WarnNotLoaded(typename type)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00199">expansionsettings.c:199</a></div></div>
<div class="ttc" id="aa01375_html_a88efd4446696d59e21faf8da993f40e3"><div class="ttname"><a href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">ExpansionSettings::m_SettingsOrdered</a></div><div class="ttdeci">protected autoptr array&lt; ExpansionSettingBase &gt; m_SettingsOrdered</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00024">expansionsettings.c:24</a></div></div>
<div class="ttc" id="aa01375_html_a8be10a4d1adae156b3c70b3d53aadde4"><div class="ttname"><a href="../../d5/df5/a01375.html#a8be10a4d1adae156b3c70b3d53aadde4">ExpansionSettings::SI_Log</a></div><div class="ttdeci">static ref ScriptInvoker SI_Log</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00016">expansionsettings.c:16</a></div></div>
<div class="ttc" id="aa01375_html_a8fccdd9e470e77f4212b1bfb2b1e98cb"><div class="ttname"><a href="../../d5/df5/a01375.html#a8fccdd9e470e77f4212b1bfb2b1e98cb">ExpansionSettings::SI_DamageSystem</a></div><div class="ttdeci">static ref ScriptInvoker SI_DamageSystem</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00019">expansionsettings.c:19</a></div></div>
<div class="ttc" id="aa01375_html_a9fd3eee00d5d6c31386c5d03ad6130f7"><div class="ttname"><a href="../../d5/df5/a01375.html#a9fd3eee00d5d6c31386c5d03ad6130f7">ExpansionSettings::Init</a></div><div class="ttdeci">void Init(typename type)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00088">expansionsettings.c:88</a></div></div>
<div class="ttc" id="aa01375_html_aa4246c7fad69ffd959190a448a73797c"><div class="ttname"><a href="../../d5/df5/a01375.html#aa4246c7fad69ffd959190a448a73797c">ExpansionSettings::GetDebug</a></div><div class="ttdeci">ExpansionDebugSettings GetDebug(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00221">expansionsettings.c:221</a></div></div>
<div class="ttc" id="aa01375_html_aa43ac50876b69fd8c52a1f8d8121fbf2"><div class="ttname"><a href="../../d5/df5/a01375.html#aa43ac50876b69fd8c52a1f8d8121fbf2">ExpansionSettings::IsLoaded</a></div><div class="ttdeci">bool IsLoaded(typename type)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aa01375_html_aaea12eaa2e5814caec4df8fb25b8319f"><div class="ttname"><a href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">ExpansionSettings::m_Settings</a></div><div class="ttdeci">protected ref map&lt; typename, ref ExpansionSettingBase &gt; m_Settings</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00023">expansionsettings.c:23</a></div></div>
<div class="ttc" id="aa01375_html_ab26eb810cd1b88bb23c7df5512bb3e98"><div class="ttname"><a href="../../d5/df5/a01375.html#ab26eb810cd1b88bb23c7df5512bb3e98">ExpansionSettings::GetSafeZone</a></div><div class="ttdeci">ExpansionSafeZoneSettings GetSafeZone(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00231">expansionsettings.c:231</a></div></div>
<div class="ttc" id="aa01375_html_acbdf65f6797e2926ba0078f63c2bd7aa"><div class="ttname"><a href="../../d5/df5/a01375.html#acbdf65f6797e2926ba0078f63c2bd7aa">ExpansionSettings::SI_Notification</a></div><div class="ttdeci">static ref ScriptInvoker SI_Notification</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00018">expansionsettings.c:18</a></div></div>
<div class="ttc" id="aa01375_html_adb5f0b023b22017d64d71ba128c0eb40"><div class="ttname"><a href="../../d5/df5/a01375.html#adb5f0b023b22017d64d71ba128c0eb40">ExpansionSettings::Save</a></div><div class="ttdeci">void Save()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00175">expansionsettings.c:175</a></div></div>
<div class="ttc" id="aa01375_html_ae0d784a7a41318be659b98eed9d58148"><div class="ttname"><a href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">ExpansionSettings::Receive</a></div><div class="ttdeci">void Receive(typename type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00164">expansionsettings.c:164</a></div></div>
<div class="ttc" id="aa01375_html_aeeb350342c7dc5e514d25bb6d13226b5"><div class="ttname"><a href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">ExpansionSettings::m_Warnings</a></div><div class="ttdeci">protected ref map&lt; typename, int &gt; m_Warnings</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00025">expansionsettings.c:25</a></div></div>
<div class="ttc" id="aa01375_html_af3c4b37bc898eb65320c638f599bb0ed"><div class="ttname"><a href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">ExpansionSettings::Get</a></div><div class="ttdeci">ExpansionSettingBase Get(typename type, bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00190">expansionsettings.c:190</a></div></div>
<div class="ttc" id="aa01375_html_af4016debfdf90ac69a22e094e5cce5c0"><div class="ttname"><a href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">ExpansionSettings::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d58/a03393_source.html#l00019">expansionsettings.c:19</a></div></div>
<div class="ttc" id="aa01375_html_afe2842b8456e4f4c352a6a984810ca3f"><div class="ttname"><a href="../../d5/df5/a01375.html#afe2842b8456e4f4c352a6a984810ca3f">ExpansionSettings::GetMonitoring</a></div><div class="ttdeci">ExpansionMonitoringSettings GetMonitoring(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00241">expansionsettings.c:241</a></div></div>
<div class="ttc" id="aa02247_html"><div class="ttname"><a href="../../df/d71/a02247.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa02247_html_a19f1152dfcf90ed57c41abce99dbd3e4"><div class="ttname"><a href="../../df/d71/a02247.html#a19f1152dfcf90ed57c41abce99dbd3e4">EXTrace::StartStack</a></div><div class="ttdeci">static EXTrace StartStack(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes whole stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00356">expansiontracing.c:356</a></div></div>
<div class="ttc" id="aa02247_html_a2bd46e35ded12b22921809a459391fe0"><div class="ttname"><a href="../../df/d71/a02247.html#a2bd46e35ded12b22921809a459391fe0">EXTrace::Print</a></div><div class="ttdeci">static void Print(bool yes=true, Class instance=null, string msg=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00276">expansiontracing.c:276</a></div></div>
<div class="ttc" id="aa02247_html_aad0d96613a7444cc73ef4b3f000aec3a"><div class="ttname"><a href="../../df/d71/a02247.html#aad0d96613a7444cc73ef4b3f000aec3a">EXTrace::ENABLE</a></div><div class="ttdeci">static bool ENABLE</div><div class="ttdoc">Please keep these at the top and use below instead of true to enable tracing when using DayZDiag or D...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00038">expansiontracing.c:38</a></div></div>
<div class="ttc" id="aa02247_html_ab7af4b282c08a043d2f9626231c59953"><div class="ttname"><a href="../../df/d71/a02247.html#ab7af4b282c08a043d2f9626231c59953">EXTrace::Start</a></div><div class="ttdeci">static EXTrace Start(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes 1st line of stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00323">expansiontracing.c:323</a></div></div>
<div class="ttc" id="aa02247_html_ad15103e18433646b19375c6201884d4f"><div class="ttname"><a href="../../df/d71/a02247.html#ad15103e18433646b19375c6201884d4f">EXTrace::SetStart</a></div><div class="ttdeci">void SetStart(int start)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00271">expansiontracing.c:271</a></div></div>
<div class="ttc" id="aa02339_html"><div class="ttname"><a href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a></div><div class="ttdoc">Vehicle settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d08/a00884_source.html#l00016">damagesystemsettings.c:17</a></div></div>
<div class="ttc" id="aa02343_html"><div class="ttname"><a href="../../da/db3/a02343.html">ExpansionDebugSettings</a></div><div class="ttdoc">Vehicle settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00016">expansiondebugsettings.c:17</a></div></div>
<div class="ttc" id="aa02351_html"><div class="ttname"><a href="../../dd/d1b/a02351.html">ExpansionSettingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00013">expansionsettingbase.c:14</a></div></div>
<div class="ttc" id="aa02351_html_a8d356fb5e72b05b84c90400345d88286"><div class="ttname"><a href="../../dd/d1b/a02351.html#a8d356fb5e72b05b84c90400345d88286">ExpansionSettingBase::IsLoaded</a></div><div class="ttdeci">bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00090">expansionsettingbase.c:90</a></div></div>
<div class="ttc" id="aa02351_html_aa2413220815a302a199400eb0a0188d7"><div class="ttname"><a href="../../dd/d1b/a02351.html#aa2413220815a302a199400eb0a0188d7">ExpansionSettingBase::Load</a></div><div class="ttdeci">bool Load()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00037">expansionsettingbase.c:37</a></div></div>
<div class="ttc" id="aa02355_html"><div class="ttname"><a href="../../d9/d5e/a02355.html">ExpansionLogSettings</a></div><div class="ttdoc">Log settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00016">expansionlogsettings.c:17</a></div></div>
<div class="ttc" id="aa02359_html"><div class="ttname"><a href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a></div><div class="ttdoc">Vehicle settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8a/a00899_source.html#l00016">expansionmonitoringsettings.c:17</a></div></div>
<div class="ttc" id="aa02383_html"><div class="ttname"><a href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a></div><div class="ttdoc">SafeZone settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddc/a00917_source.html#l00035">expansionsafezonesettings.c:36</a></div></div>
<div class="ttc" id="aa03311_html"><div class="ttname"><a href="../../de/d19/a03311.html">ExpansionNotificationSettings</a></div><div class="ttdoc">Notification settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5b/a00905_source.html#l00081">expansionnotificationsettings.c:17</a></div></div>
<div class="ttc" id="aa03402_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa03402_html_a874bd0cd1414456e60ce9a05a7c9110a"><div class="ttname"><a href="../../df/d96/a03402.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a></div><div class="ttdeci">static ref ExpansionSettings g_exGlobalSettings</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00252">expansionsettings.c:252</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_43c391425ddc8e268db9c53616324f54.html">settings</a></li><li class="navelem"><a class="el" href="../../df/d96/a03402.html">expansionsettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
